.related-services__section {
    margin: 60px 0;
}

.related-services__title {
    font-family: var(--font-family);
    font-weight: 800;
    font-size: 36px;
    line-height: 1.2;
    color: var(--black);
    margin-bottom: 25px;
}

.related-services__description {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    line-height: 1.2;
    color: var(--black);
}

.related-services__items {
    display: grid;
    gap: 20px;
    margin-top: 40px;
}

.related-services__item {
    position: relative;
    transition: all 0.3s;
}



.related-services__item-image {
    position: relative;
    width: 100%;
    height: 100%;
    border-radius: 15px;
}

.related-services__item-image::after {
    content: '';
    position: absolute;
    inset: 0;
    background: #00000080;
    border-radius: 15px;
}

.related-services__item-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 15px;
}

.related-services__item-body {
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    gap: 20px;
    z-index: 9;
}

.related-services__item-title {
    font-family: var(--font-family);
    font-weight: 700;
    font-size: 24px;
    line-height: 120%;
    text-align: center;
    color: var(--white);
}

.related-services__item-btn {
    padding: 4px 15px;
    -webkit-border-radius: 25px;
    border-radius: 25px;
    margin: 0 5px 5px 0;
    display: inline-block;
    background-color: #ffffff1a;
    background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.7) 0%, rgba(255, 255, 255, 0.1) 100%);
    box-shadow: rgba(0, 0, 0, 0.05) 0px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px 4px 6px -4px;
    transition: all 0.3s ease;
    color: #FFF;
    font-size: 16px;
    text-decoration: none;
    text-align: center;
}

@media (min-width: 768px) {
    .related-services__items {
        grid-template-columns: 1fr 1fr;
        gap: 30px;
    }

    .related-services__item--last-odd {
        grid-column: 1 / 3;
        margin: 0 25%;
    }
}

@media (min-width: 992px) {
    .related-services__section {
        margin: 80px 0;
    }

    .related-services__title {
        font-size: 40px;
        text-align: center;
    }

    .related-services__item {
        display: grid;
        grid-template-columns: 1fr 1fr;
    }

    .related-services__item-body {
        position: relative;
        justify-content: center;
        align-items: center;
        background: #fff;
        top: 0;
        left: 0;
        transform: none;
        border-radius: 0 15px 15px 0;
    }

    .related-services__item-image::after {
        content: none;
    }

    .related-services__item-img {
        border-radius: 15px 0 0 15px;
    }

    .related-services__item-title {
        color: var(--black);
    }

    .related-services__item-btn {
        border: 2px solid transparent;
        color: var(--black);
        background: var(--gray-btn);
    }

    .related-services__item-btn:hover {
        background: transparent;
        border-color: var(--gray-btn);
    }

}